Lots of indicator-sound systemd journal messages
Status: Rejected Start date: July 18,2018
Priority: Minor Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour

Target version:

Affects version: 3.9

Description

I'm using audacious 3.9-2 (Audacious 3.9 (Ubuntu package)) on Lubuntu 18.04.

When playing something with audacios, | get this message about four times a second in the systemd journal:

indicator-sound'*®*: Received property Position with type x does not match expected type i in the expected interface

As far as | know, indicator-sound is the volume adjustment in the panel (image in the attachment)

If | play something with vic, | get this message only one time (not 4 times each second), if | use mpv, avplay or something else, | don't
get the message.

| don't know why the message appears, | just recently found it.

| can reproduce this:

open a terminal and run $ journalctl -f

play something with audacious

view the messages appearing in the terminal window

History

#1 - July 19, 2018 13:23 - John Lindgren
X' (64-bit int) is the correct type. Not a bug.

See:
https://specifications.freedesktop.org/mpris-spec/latest/Player_Interface.html

#2 - July 19, 2018 13:30 - John Lindgren

- Status changed from New to Rejected

#3 - July 19, 2018 18:12 - me 20 hours and

Why do | get these messages?

#4 - July 24, 2018 19:09 - John Lindgren

me 20 hours and wrote:

Why do | get these messages?

They are messages from indicator-sound. Ask the indicator-sound developers.

#5 - April 29, 2023 22:36 - Thomas Lange
https://specifications.freedesktop.org/mpris-spec/latest/Player_Interface.html

This is not a bug in Audacious.

If anyone is still affected by this:
The bug report below for "indicator-sound-gtk2" contains a proper fix.

https://bugs.launchpad.net/ubuntu/+source/indicator-sound-gtk2/+bug/2016325

Files

indic.png 20.8 KB

July 12, 2025

July 18, 2018

me 20 hours and

22


https://bugs.launchpad.net/ubuntu/+source/indicator-sound-gtk2/+bug/2016325
http://www.tcpdf.org

